# eric7.Plugins.VcsPlugins.vcsGit.GitRevisionsSelectionDialog

Module implementing a dialog to enter the revisions for the git diff command.

### Global Attributes

None

### Classes

GitRevisionsSelectionDialog | Class implementing a dialog to enter the revisions for the git diff command.

### Functions

None

## GitRevisionsSelectionDialog

Class implementing a dialog to enter the revisions for the git diff command.

### Derived from

QDialog, Ui_GitRevisionsSelectionDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitRevisionsSelectionDialog | Constructor
__getRevision | Private method to generate the revision.
__updateOK | Private slot to update the OK button.
getRevisions | Public method to get the revisions.
on_branch1Button_toggled | Private slot to handle changes of the Branch1 select button.
on_branch1Combo_editTextChanged | Private slot to handle changes of the Branch1 combo.
on_branch2Button_toggled | Private slot to handle changes of the Branch2 select button.
on_branch2Combo_editTextChanged | Private slot to handle changes of the Branch2 combo.
on_rev1Button_toggled | Private slot to handle changes of the rev1 select button.
on_rev1Edit_textChanged | Private slot to handle changes of the rev1 edit.
on_rev2Button_toggled | Private slot to handle changes of the rev2 select button.
on_rev2Edit_textChanged | Private slot to handle changes of the rev2 edit.
on_tag1Button_toggled | Private slot to handle changes of the Tag1 select button.
on_tag1Combo_editTextChanged | Private slot to handle changes of the Tag1 combo.
on_tag2Button_toggled | Private slot to handle changes of the Tag2 select button.
on_tag2Combo_editTextChanged | Private slot to handle changes of the Tag2 combo.

### Static Methods

None

#### GitRevisionsSelectionDialog (Constructor)

GitRevisionsSelectionDialog(tagsList, branchesList, parent=None)

Constructor

tagsList
  list of tags (list of strings)
branchesList
  list of branches (list of strings)
parent
  parent widget of the dialog (QWidget)

#### GitRevisionsSelectionDialog.__getRevision

__getRevision(no)

Private method to generate the revision.

no
  revision number to generate (1 or 2)

Return:
  revision (string)

#### GitRevisionsSelectionDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### GitRevisionsSelectionDialog.getRevisions

getRevisions()

Public method to get the revisions.

Return:
  list of two revisions (list of strings)

#### GitRevisionsSelectionDialog.on_branch1Button_toggled

on_branch1Button_toggled(checked)

Private slot to handle changes of the Branch1 select button.

checked
  state of the button (boolean)

#### GitRevisionsSelectionDialog.on_branch1Combo_editTextChanged

on_branch1Combo_editTextChanged(txt)

Private slot to handle changes of the Branch1 combo.

txt
  text of the combo (string)

#### GitRevisionsSelectionDialog.on_branch2Button_toggled

on_branch2Button_toggled(checked)

Private slot to handle changes of the Branch2 select button.

checked
  state of the button (boolean)

#### GitRevisionsSelectionDialog.on_branch2Combo_editTextChanged

on_branch2Combo_editTextChanged(txt)

Private slot to handle changes of the Branch2 combo.

txt
  text of the combo (string)

#### GitRevisionsSelectionDialog.on_rev1Button_toggled

on_rev1Button_toggled(checked)

Private slot to handle changes of the rev1 select button.

checked
  state of the button (boolean)

#### GitRevisionsSelectionDialog.on_rev1Edit_textChanged

on_rev1Edit_textChanged(txt)

Private slot to handle changes of the rev1 edit.

txt
  text of the edit (string)

#### GitRevisionsSelectionDialog.on_rev2Button_toggled

on_rev2Button_toggled(checked)

Private slot to handle changes of the rev2 select button.

checked
  state of the button (boolean)

#### GitRevisionsSelectionDialog.on_rev2Edit_textChanged

on_rev2Edit_textChanged(txt)

Private slot to handle changes of the rev2 edit.

txt
  text of the edit (string)

#### GitRevisionsSelectionDialog.on_tag1Button_toggled

on_tag1Button_toggled(checked)

Private slot to handle changes of the Tag1 select button.

checked
  state of the button (boolean)

#### GitRevisionsSelectionDialog.on_tag1Combo_editTextChanged

on_tag1Combo_editTextChanged(txt)

Private slot to handle changes of the Tag1 combo.

txt
  text of the combo (string)

#### GitRevisionsSelectionDialog.on_tag2Button_toggled

on_tag2Button_toggled(checked)

Private slot to handle changes of the Tag2 select button.

checked
  state of the button (boolean)

#### GitRevisionsSelectionDialog.on_tag2Combo_editTextChanged

on_tag2Combo_editTextChanged(txt)

Private slot to handle changes of the Tag2 combo.

txt
  text of the combo (string)

Up